it.csi.mddtools.guigen

## Interface Image

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Widget

      public interface Image
      extends Widget

  A representation of the model object 'Image'. Utilizzato per la visualizzazione di immagini statiche all'interno della struttura UI.

  The following features are supported:

  - `Image`
  See Also:
    `GuigenPackage.getImage()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getImage()` Returns the value of the 'Image' attribute
    `void` | `setImage(java.lang.String value)` Sets the value of the '`Image`' attribute

    - ### Methods inherited from interface it.csi.mddtools.guigen.Widget

      `getEnableEnrichment, getEventHandlers, getLabel, getLayoutSpec, getName, getSecurityConstraints, getTooltip, isDefaultEnabled, isDefaultVisible, setDefaultEnabled, setDefaultVisible, setEnableEnrichment, setLabel, setLayoutSpec, setName, setTooltip`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getImage

          java.lang.String getImage()

      Returns the value of the 'Image' attribute.

      If the meaning of the 'Image' attribute isn't clear, there really should be more of a description here...

      Il percorso dell'immagine. Il valore può variare a seconda della cartuccia di generazione. Nel caso della cartuccia struts2 il valore è inserito as-is nel tag img.
      Returns:
        the value of the 'Image' attribute.
      See Also:
        `setImage(String)`, `GuigenPackage.getImage_Image()`

    - #### setImage

          void setImage(java.lang.String value)

      Sets the value of the '`Image`' attribute.
      Parameters:
        `value` - the new value of the 'Image' attribute.
      See Also:
        `getImage()`